<template>
  <view class="content">
    <button @click="open">打开弹窗</button>

  </view>
</template>
<script>
  import {
    mapState,
    mapGetters
  } from 'vuex'
  export default {
    name: "hah",
    data() {
      return {
        code: ""
      }
    },
    async created() {
      this.$Request({
        url: "/getStationNoticeInfo",
        method: 'GET',
        data: {
          stationId: this.$store.state.stationId
        }
      }).then((res) => {})
      let [err, loginData] = await uni.login();
      this.code = loginData.code
    },
    computed: {
      ...mapState({
        text: state => state.moduleA.text,
        timestamp: state => state.moduleB.timestamp,
      }),
      ...mapState(["appId", "stationId", "phoneNumber", "countryCode", "purePhoneNumber", "openId", "unionId",
        "userInfo"
      ]),
      ...mapGetters([
        'timeString'
      ])
    },
    methods: {
      open() {
        // 通过组件定义的ref调用uni-popup方法
        this.$refs.popup.open()
      }
    }
  }
</script>
<style lang="scss">
  uni-popup {
    .pay-type {
      width: 750rpx;
      height: 750rpx;
      background-color: #4CD964;
    }
  }
</style>
